<template>
  <div class="layout">
    <div class="list">
      <h1>PRODUCT LIST</h1>
      <Product v-for="item in productlist" :key="item.id" :product="item"></Product>
    </div>
    <div class="create">
      <ProductCreate></ProductCreate>
    </div>
  </div>
</template>

<script>
import Product from '@/components/Product'
import ProductCreate from '@/components/ProductCreate'
export default {
  computed: {
    product_name() {
      return this.$store.state.producModule.product_name;
    },
    productlist(){
      return this.$store.state.producModule.productlist
    }
  },
  methods: {
    editNameProduct() {
      this.$store.commit("editNameProductModule");
    }
  },
  mounted() {
    this.$store.commit('getPorductListProductModule')
  },
  components:{
    Product,
    ProductCreate
  }
};
</script>

<style>
.create{
  width: 50%;
  margin: 50px;
}
.list{
  width: 50%;
}
.layout{
  display: flex;
}
</style>